robottestingframework::plugin::RubyPluginLoader Class Reference

The RubyPluginLoader loads a ruby test case plug-in and gives the direct access to the TestCase. More...

`#include <robottestingframework/ruby/RubyPluginLoader.h>`

Inheritance diagram for robottestingframework::plugin::RubyPluginLoader:
[legend]

## Public Member Functions

| RubyPluginLoader ()
| RubyPluginLoader constructor. More...
| ~RubyPluginLoader () override
| RubyPluginLoader destructor. More...
TestCase * | open (const std::string filename) override
| open Loads a test case plugin More...
void | close () override
| close Unloads the plugin and deletes any allocated memory. More...
std::string | getLastError () override
| getLastError gets the last error if any. More...
Public Member Functions inherited from robottestingframework::plugin::PluginLoader
| PluginLoader ()=default
| PluginLoader constructor. More...
virtual | ~PluginLoader ()=default
| PluginLoader destructor. More...

## Private Attributes

void * | implementation

## Detailed Description

The RubyPluginLoader loads a ruby test case plug-in and gives the direct access to the TestCase.

Definition at line 37 of file RubyPluginLoader.h.

## Constructor & Destructor Documentation

## RubyPluginLoader()

robottestingframework::plugin::RubyPluginLoader::RubyPluginLoader | ( |  | ) |

RubyPluginLoader constructor.

## ~RubyPluginLoader()

robottestingframework::plugin::RubyPluginLoader::~RubyPluginLoader | ( |  | ) |

override

RubyPluginLoader destructor.

## Member Function Documentation

## close()

void robottestingframework::plugin::RubyPluginLoader::close | ( |  | ) |

override virtual

close Unloads the plugin and deletes any allocated memory.

Implements robottestingframework::plugin::PluginLoader.

## getLastError()

std::string robottestingframework::plugin::RubyPluginLoader::getLastError | ( |  | ) |

override virtual

getLastError gets the last error if any.

Returns
  returns the last error string.

Implements robottestingframework::plugin::PluginLoader.

## open()

TestCase* robottestingframework::plugin::RubyPluginLoader::open | ( | const std::string | filename | ) |

override virtual

open Loads a test case plugin

Parameters

  filename | the plugin filename

Returns
  A pointer to the test case loaded from the plugin or a null pointer in case of failure.

Implements robottestingframework::plugin::PluginLoader.

## Member Data Documentation

## implementation

void* robottestingframework::plugin::RubyPluginLoader::implementation

private

Definition at line 72 of file RubyPluginLoader.h.

The documentation for this class was generated from the following file:

- src/plugins/ruby/include/robottestingframework/ruby/RubyPluginLoader.h